Skip to main content
PATCH
Update Tag Handler

Headers

authorization
string | null

Path Parameters

tag_id
string<uuid>
required

Cookies

ks_uat
string | null

Body

application/json

Request to update a tag.

name
string | null

New tag name

Required string length: 1 - 100
color
string | null

New tag color as 6-character hex string

Required string length: 6
Pattern: ^[0-9A-Fa-f]{6}$
description
string | null

New tag description (empty string to clear)

Maximum string length: 500

Response

Successful Response

Tag response model.

id
string<uuid>
required

Tag ID

name
string
required

Tag name

color
string
required

Tag color hex

tenant_id
string<uuid>
required

Tenant ID

created_at
string<date-time>
required

Creation timestamp

updated_at
string<date-time>
required

Last update timestamp

description
string | null

Tag description